# ColumnHeaderAutoResizeStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how a column contained in a [ListView](/api/wisej.web/lists-and-grids/listview.md) should be resized.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ColumnHeaderAutoResizeStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ColumnHeaderAutoResizeStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                       | Description                                                                                                                  |
| -------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| **ColumnContent**          | Specifies the column should be resized based on the size of the column content.                                              |
| **HeaderAndColumnContent** | Specifies the column should be resized based on the size of the column header content and on the size of the column content. |
| **HeaderSize**             | Specifies the column should be resized based on the size of the column header content.                                       |
| **None**                   | Specifies no resizing should occur.                                                                                          |

## Used By

| Name                                                                                                                     | Description                                                             |
| ------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------- |
| [ColumnHeader.AutoResize](/api/wisej.web/lists-and-grids/listview/wisej.web.columnheader.md#autoresize-headerautoresize) | Resizes the width of the column as indicated by the resize style.       |
| [ListView.AutoResizeColumn](/api/wisej.web/lists-and-grids/listview.md#autoresizecolumn-columnindex-headerautoresize)    | Resizes the width of the given column as indicated by the resize style. |
| [ListView.AutoResizeColumns](/api/wisej.web/lists-and-grids/listview.md#autoresizecolumns-headerautoresize)              | Resizes the width of the columns as indicated by the resize style.      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.columnheaderautoresizestyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
